> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/sso/create-sso-config/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Create an SSO configuration POST https://example.itential.io/sso/configs Content-Type: application/json Creates an SSO configuration. Reference: https://docs.itential.com/itential-cloud/api-reference/sso/create-sso-config ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `config` (object, optional) — Schema describing an SSO configuration object - `name` (string, required) — Name of the SSO configuration - `ssoType` (enum, required) — Single sign on type, SAML, OpenID, etc. - Allowed values: `saml` - `settings` (object, required) — The configuration for the sso type used - object - `issuer` (string, required) — Issuer identity provider - `loginURL` (string, required) — Login URL for SSO identity provider - `certificate` (string, required) — Security certificate - `samlUserNameAttribute` (string, required, default: username) — Attribute containing the full user name - `samlGroupsAttribute` (string, required, default: groups) — Attribute containing the name of the groups property - `forceLogin` (boolean, required, default: false) — A boolean flag indicating if a user is forced to login - `description` (string, optional) — A description of the sso configuration - `logoutURL` (string, optional) — Logout URL for SSO identity provider - `samlEmailAttribute` (string, optional, default: email) — Attribute containing user email address - `samlFirstNameAttribute` (string, optional) — Attribute containing the first name of the user - `disableAuthnContext` (boolean, optional, default: false) — A boolean flag determining if we check how a user logged in - `active` (boolean, optional, default: false) — Whether or not the SSO Config is selected for use. For 'active' to be true, 'tested' must also be true. - `tested` (boolean, optional) — Whether the sso config was tested ## Response ### 200 The result of the SSO config creation process. - `status` (enum, optional) — The status of the API request. - Allowed values: `OK`, `Created` - `message` (string, optional) — Message containing either confirmation of the operation or the reason for the failure of the operation. - `data` (object, optional) — Schema describing an SSO configuration object - `name` (string, required) — Name of the SSO configuration - `ssoType` (enum, required) — Single sign on type, SAML, OpenID, etc. - Allowed values: `saml` - `settings` (object, required) — The configuration for the sso type used - object - `issuer` (string, required) — Issuer identity provider - `loginURL` (string, required) — Login URL for SSO identity provider - `certificate` (string, required) — Security certificate - `samlUserNameAttribute` (string, required, default: username) — Attribute containing the full user name - `samlGroupsAttribute` (string, required, default: groups) — Attribute containing the name of the groups property - `forceLogin` (boolean, required, default: false) — A boolean flag indicating if a user is forced to login - `description` (string, optional) — A description of the sso configuration - `logoutURL` (string, optional) — Logout URL for SSO identity provider - `samlEmailAttribute` (string, optional, default: email) — Attribute containing user email address - `samlFirstNameAttribute` (string, optional) — Attribute containing the first name of the user - `disableAuthnContext` (boolean, optional, default: false) — A boolean flag determining if we check how a user logged in - `active` (boolean, optional, default: false) — Whether or not the SSO Config is selected for use. For 'active' to be true, 'tested' must also be true. - `tested` (boolean, optional) — Whether the sso config was tested ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "status": "OK", "message": "A sample success message", "data": { "name": "Auth0", "ssoType": "saml", "settings": { "certificate": "MIIDrjCCApagAwIBAgIGAYbHI140MA0GCSqGSIb3DQEBCwUAMIGXMQswCQYDVQQGEwJVUzETMBEGA1UECAwKQ2FsaWZvcm5pYTEWMBQGA1UEBwwNU2FuIEZyYW5jaXNjbzENMAsGA1UECgwET2t0YTEU==", "description": "This sso configuration connects to Okta", "disableAuthnContext": false, "forceLogin": false, "issuer": "https://www.auth0.com/oauth2/example", "loginURL": "https://www.auth0.com/login", "logoutURL": "https://www.auth0.com/logout", "samlEmailAttribute": "mail", "samlFirstNameAttribute": "firstName", "samlGroupsAttribute": "groups", "samlUserNameAttribute": "userName" }, "active": false, "tested": true } } ``` **SDK Code** ```python import requests url = "https://example.itential.io/sso/configs" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/sso/configs'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/sso/configs" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/sso/configs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/sso/configs") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/sso/configs', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/sso/configs"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/sso/configs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```